import Context from "../context/context";
import { Publisher, PublisherConfig } from "./publisher";
export declare class Factory {
    private config;
    constructor(config: PublisherConfig);
    spawn(ctx: Context): Publisher;
}
